Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

EA3 -> EA4 migration with some errors, is it safe to deploy?

Discussion in 'EasyApache' started by zoltanpaszinger, Dec 21, 2018.

  1. zoltanpaszinger

    zoltanpaszinger Member

    Joined:
    Mar 12, 2009
    Messages:
    20
    Likes Received:
    0
    Trophy Points:
    51
    Hello,

    Finally I'm going to migrate from ea3 to ea4.
    I got the following warnings at pre-flight check. Is it safe to go? Or do I need to install any modules or something? Thank you!

    • Warning: “Cpanel::Easy::PHP5::MailHeaders” ignored since it does not have an RPM.
    • Warning: “Cpanel::Easy::PHP5::MagicQuotes” ignored since it does not have an RPM.
    • Warning: “Cpanel::Easy::Apache::SlowRestartPatch” ignored since it does not have an RPM.
    • Warning: “Cpanel::Easy::Apache::Fileprotect” ignored since it does not have an RPM.
    • Warning: Current profile has the following MPMs: ea-apache24-mod_mpm_prefork
    • Warning: Adding the missing package, ea-apache24-mod_suexec, to the EasyApache 4 profile.
     
  2. dalem

    dalem Well-Known Member PartnerNOC

    Joined:
    Oct 24, 2003
    Messages:
    2,886
    Likes Received:
    120
    Trophy Points:
    368
    Location:
    SLC
    cPanel Access Level:
    DataCenter Provider
    These are non-fatal warnings

    the ones I know
    MagicQuotes = depricted since php 5.3 ( php 5.3 not available for ea4)
    Fileprotect = moved to Tweak Settings
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. cPanelMichael

    cPanelMichael Technical Support Community Manager Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    47,009
    Likes Received:
    2,123
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. Michael-Inet

    Michael-Inet Well-Known Member

    Joined:
    Feb 20, 2014
    Messages:
    64
    Likes Received:
    5
    Trophy Points:
    8
    Location:
    Austin, TX, USA
    cPanel Access Level:
    Root Administrator
    Hi zoltanpaszinger,

    You most likely will have to install other modules/software. During our upgrades from EA3 to EA4, the conversion broke entirely on every EA3 server we had. We tried various fixes, but could never get a completed conversion, as things like PECL packages wouldn’t load.

    Ultimately we had to resort to installing an EA4 profile from one of our other servers, built from scratch to run EA4, to bring any website on the original EA3 servers to a functional status under EA4.

    All our servers are essentially the same, so this worked for us. I’ve attached the ea4 .json file we used in case anyone needs it.

    Contains Apache 2.4, PHP 5.5, PHP 5.6, and PHP 7.0

    Remove .txt to upload and modify as needed . . .

    Best,
    Michael
     

    Attached Files:

    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice